module Editframe 
  class Video < APIResource 

    OBJECT_PATH = 'videos/'

    def self.build(options)
      VideoBuilder.new options
    end 

    def self.encode(body)
      self.perform_post_request(body: body, is_form: true)
    end

    def self.encode_from_clip(body)
      self.perform_post_request('clip', body: body, is_form: true)
    end

    def self.from_clip(options)
      VideoClip.new options
    end 
    
  end
end
