require "json"
require "uri"

require "editframe/api_resource"
require "editframe/resources"
require "editframe/util"
require "editframe/version"

require "editframe/video/builder"
require "editframe/video/clip"

module Editframe
  @api_host = 'api.editframe.com'
  @api_key = nil
  @api_version = '2'
  @client_id = nil 

  class << self
    attr_accessor :api_key, :client_id
    attr_reader :api_host, :api_version
    
  end

  def self.set_api_host(host)
    @api_host = host
  end 

  def self.set_api_version(version)
    @api_version = version.to_s
  end 
end
